Skip to content

Retrieve auto-configuration availability

Returns whether DNS auto-configuration (Domain Connect) is available for this domain. When available is false, manualRecords lists the DNS records the customer must add manually.

GET
/v1/domains/{domain}/auto-configure

Authorization

Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

In: header

Path Parameters

domainRequiredstring

Header Parameters

idempotency-keystring

A header for idempotency purposes

Response Body

OK

availableRequiredboolean
providerNamestring
providerIdstring
reasonstring
reasonCodestring
Value in: "disabled" | "discovery_not_configured" | "unsupported_provider" | "incomplete_configuration" | "provider_settings_unavailable" | "untrusted_provider_flow" | "template_not_onboarded"
manualRecordsRequiredarray<object>
export interface Response {
  available: boolean;
  providerName?: string;
  providerId?: string;
  reason?: string;
  reasonCode?:
    | "disabled"
    | "discovery_not_configured"
    | "unsupported_provider"
    | "incomplete_configuration"
    | "provider_settings_unavailable"
    | "untrusted_provider_flow"
    | "template_not_onboarded";
  manualRecords: ExpectedDnsRecordDto[];
}
export interface ExpectedDnsRecordDto {
  type: string;
  name: string;
  content: string;
  ttl: string;
  priority?: number;
}
 
curl -X GET "https://api.novu.co/v1/domains/string/auto-configure" \
  -H "idempotency-key: string" \
  -H "Authorization: <token>"
{
  "available": true,
  "providerName": "string",
  "providerId": "string",
  "reason": "string",
  "reasonCode": "disabled",
  "manualRecords": [
    {
      "type": "MX",
      "name": "inbound",
      "content": "inbound-smtp.us-east-1.amazonaws.com",
      "ttl": "Auto",
      "priority": 10
    }
  ]
}

On this page

No Headings
Edit this page on GitHub